Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.concurrency.caching
Class CachedEntityInvalidation

    java.lang.Object
      org.jasig.portal.concurrency.caching.CachedEntityInvalidation

All Implemented Interfaces:
  IBasicEntity

    public class CachedEntityInvalidation

extends java.lang.Object
implements IBasicEntity

An instance of this class represents an event: a change to an IBasicEntity that renders any cached instances of the entity invalid.

Version:
  $Revision: 1.7 $
Author:
  Dan Ellentuck

Field Summary
`private int` | `cacheID`
`private EntityIdentifier` | `entityIdentifier`
`private java.util.Date` | `invalidationTime`

Constructor Summary
`CachedEntityInvalidation(java.lang.Class eType, java.lang.String eKey, java.util.Date time, int cache)` CachedEntityInvalidation constructor.
`CachedEntityInvalidation(EntityIdentifier newEntityIdentifier, java.util.Date time, int cache)` CachedEntityInvalidation constructor.

Method Summary
`int` | `getCacheID()`
`EntityIdentifier` | `getEntityIdentifier()`
`java.util.Date` | `getInvalidationTime()`
`java.lang.String` | `getKey()`
`java.lang.Class` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entityIdentifier

    private final EntityIdentifier entityIdentifier

### invalidationTime

    private final java.util.Date invalidationTime

### cacheID

    private final int cacheID

Constructor Detail

### CachedEntityInvalidation

    public CachedEntityInvalidation(java.lang.Class eType,
                                    java.lang.String eKey,
                                    java.util.Date time,
                                    int cache)

  CachedEntityInvalidation constructor.

### CachedEntityInvalidation

    public CachedEntityInvalidation(EntityIdentifier newEntityIdentifier,
                                    java.util.Date time,
                                    int cache)

  CachedEntityInvalidation constructor.

Method Detail

### getEntityIdentifier

    public final EntityIdentifier getEntityIdentifier()

  Specified by:
    `getEntityIdentifier` in interface `IBasicEntity`
  Returns:
    EntityIdentifier

### getInvalidationTime

    public java.util.Date getInvalidationTime()

  Returns:
    Date

### getKey

    public final java.lang.String getKey()

  Returns:
    java.lang.String

### getType

    public final java.lang.Class getType()

  Returns:
    java.lang.Class

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String

### getCacheID

    public int getCacheID()

  Returns:
    int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD